Bug 194508 - [MAINTAINER] dns/powerdns-devel: update to 3.4.0,1
Summary: [MAINTAINER] dns/powerdns-devel: update to 3.4.0,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-21 08:08 UTC by Ralf van der Enden
Modified: 2014-10-24 12:20 UTC (History)
1 user (show)

See Also:


Attachments
powerdns-devel-3.4.0.patch (62.54 KB, patch)
2014-10-21 08:08 UTC, Ralf van der Enden
no flags Details | Diff
Poudriere build log (amd64) (114.73 KB, text/plain)
2014-10-21 08:10 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2014-10-21 08:08:36 UTC
Created attachment 148533 [details]
powerdns-devel-3.4.0.patch

- Update to 3.4.0,1
Sync with dns/powerdns (3.4.0 is the latest available version)
Also add missing build dependencies for textproc/asciidoc and textproc/xmlto

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: GIT)
Comment 1 Ralf van der Enden 2014-10-21 08:10:04 UTC
Created attachment 148534 [details]
Poudriere build log (amd64)
Comment 2 John Marino freebsd_committer 2014-10-23 15:54:50 UTC
wait, so there's no difference between powerdns and powerdns-devel?

I've got two reactions:

1) It's normally that the -devel version be disabled when it's the same, e.g. set to IGNORE with recommendation to use release version

2) How useful is having two ports anyway?  Is it not feasible just to maintainer one port?  or in other words, is the -devel port existence really justified?
Comment 3 Ralf van der Enden 2014-10-24 11:10:29 UTC
For now they're the same. 3.4.0's release cycle was so short by the time I got the -devel ready for RC2 (RC1 had some issues on FreeBSD), 3.4.0 final was already released. Usually it's a couple of weeks. I use -devel to test if an RC builds at all and once it does I run it for a couple of days to find other issues. Only then do I submit it to the portstree for a larger audience to test.

Since there's not really a stable and devel tree for powerdns, maybe it's time to retire the -devel port.
Comment 4 John Marino freebsd_committer 2014-10-24 11:21:40 UTC
okay.  based on that, my instinct says we don't really need the -devel port.  You can just as easily run powerdns with local changes for a few days privately for the same effect I think.

If there were a group of testers, that might be a different story but if we are talking one or a couple of people, I think preview patches would work fine.
Comment 5 Ralf van der Enden 2014-10-24 11:29:23 UTC
Okay. So how do we go about removing -devel ?
Comment 6 John Marino freebsd_committer 2014-10-24 11:58:04 UTC
I'll do it for you.
Comment 7 commit-hook freebsd_committer 2014-10-24 12:18:54 UTC
A commit references this bug:

Author: marino
Date: Fri Oct 24 12:18:34 UTC 2014
New revision: 371435
URL: https://svnweb.freebsd.org/changeset/ports/371435

Log:
  Remove dns/powerdns-devel port per maintainer approval

  As dns/powerdns was just updated to version 3.4, there was a decision to
  be had to disable the -devel version or just remove the port altogether.
  Due to the frequency of releases and the manner on how the upcoming
  version is tested, it made sense to retire the port (at version 3.3).

  PR:		194508
  Submitted by:	maintainer (Ralf van der Enden)

Changes:
  head/MOVED
  head/dns/Makefile
  head/dns/powerdns-devel/
Comment 8 John Marino freebsd_committer 2014-10-24 12:20:51 UTC
It's done, thanks!